* New upstream release.
[debian/teleschorsch.git] / debian / postinst
1 #!/bin/sh
2 # postinst script for teleschorsch
3 #
4 # see: dh_installdeb(1)
5
6 set -e
7
8 # summary of how this script can be called:
9 #        * <postinst> `configure' <most-recently-configured-version>
10 #        * <old-postinst> `abort-upgrade' <new version>
11 #        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12 #          <new-version>
13 #        * <postinst> `abort-remove'
14 #        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15 #          <failed-install-package> <version> `removing'
16 #          <conflicting-package> <version>
17 # for details, see http://www.debian.org/doc/debian-policy/ or
18 # the debian-policy package
19
20
21 case "$1" in
22     configure)
23         update-alternatives --quiet --install /usr/bin/teleschorsch teleschorsch /usr/bin/qteleschorsch 100
24         update-alternatives --quiet --install /usr/bin/teleschorsch teleschorsch /usr/share/teleschorsch/teleschorsch.sh 50
25         update-alternatives --quiet --install /usr/bin/teleschorsch teleschorsch /usr/share/teleschorsch/teleschorsch.pl 10
26     ;;
27
28     abort-upgrade|abort-remove|abort-deconfigure)
29     ;;
30
31     *)
32         echo "postinst called with unknown argument \`$1'" >&2
33         exit 1
34     ;;
35 esac
36
37 # dh_installdeb will replace this with shell code automatically
38 # generated by other debhelper scripts.
39
40 #DEBHELPER#
41
42 exit 0
43
44